////////////////////////////////////////////////////////////////////////////////
// Title:            Mini-assignment D
// Files:            FireworksApp.java, Particle.java, ParticleList.java,
//				     FireworksController.java, other Particle types, miniD.jar
// Semester:         Spring 2008
//
// Author:           Timothy Bahls
// CS Login:         bahls
// Lecturer:         self
////////////////////////////////////////////////////////////////////////////////

/**
 * This application creates a FireworksWindow and displays it. Clicking on the
 * window produces fireworks.
 * 
 * @author Tim Bahls
 * 
 */
public class FireworksApp {
	
	
	
//The main method
	public static void main(String[] args) {
		
		final int SIZE = 750;
		
		//Create a Fireworks object
		FireworksController component = new FireworksController(SIZE);
		
		//Create a FireworksWindow to hold our new Fireworks object
		FireworksWindow window = new FireworksWindow(component);
		
		//Display the window
		window.showWindow();
	}
}
