////////////////////////////////////////////////////////////////////////////////
// Main Class File:  FireworksApp.java
// File:             Particle.java
// Semester:         Spring 2008
//
// Author:           Tim Bahls
// CS Login:         bahls
// Lecturer:         self
//
// Credit            Mike Ruskin for the cool movement equations.
//////////////////////////// 80 columns wide ///////////////////////////////////


/**
 * This Particle is drawn as a line and it moves bizarrely. 
 * 
 * @author Tim
 * 
 */
public class FunkyParticle extends LineParticle {

	/**
	 * Constructor that lets you determine color and start position.
	 * 
	 * @param hue
	 *            A number from 0 to 1 that specifies desired hue of the
	 *            Particle
	 * @param startX
	 *            The starting x coordinate
	 * @param startY
	 *            The starting y coordinate
	 */
	public FunkyParticle(double hue, double startX, double startY) {
		super(hue, startX, startY, 3);
	}

	/**
	 * Move this Particle one frame's worth of movement. It uses some bizarre
	 * math to create bizzare movement.
	 * 
	 */
	public void takeOneStep() {
		super.takeOneStep();		
		setYVelocity(.9*getYVelocity()+1 * Math.sin(getXPosition()/20));
		setXVelocity(.9*getXVelocity()+1 * Math.sin(getYPosition()/20));		
	}
}
